Subject: Re: [PATCH 1/1] powerpc: fix missing L2 cache size in /sys/devices/system/cpu

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 10 Feb 2015 19:14:00 +1100

On Tue, 2015-02-10 at 00:00 -0800, Dave Olson wrote:
> 
> OK, now that I understand that's the case, I'll have to go back and
> re-do the patch to handle both cache-size and d-cache-size for the
> L2 cache (using whichever is present).

I notice that you also didn't modify all the other properties, I would
assume you need to also updates in that area ? Maybe you should
duplicate the whole structure and have the code look for both.

> I don't have any power Macs to use for testing, would one of you be
> willing and able to verify the patch on a power Mac?
> 
> The patch below fixes my problem, and I don't think it will break
> platforms like the PowerPC Mac that use d-cache-size